VERSION 5.00
Object = "{831FDD16-0C5C-11D2-A9FC-0000F8754DA1}#2.0#0"; "MSCOMCTL.OCX"
Begin VB.Form frmTree 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "TreeViewDemo"
   ClientHeight    =   5460
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   6435
   Icon            =   "frmTree.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   5460
   ScaleWidth      =   6435
   Begin VB.TextBox txtItem 
      Height          =   375
      Left            =   0
      TabIndex        =   2
      Top             =   600
      Width           =   6375
   End
   Begin MSComctlLib.TreeView TreeV 
      Height          =   4215
      Left            =   0
      TabIndex        =   1
      Top             =   1080
      Width           =   6375
      _ExtentX        =   11245
      _ExtentY        =   7435
      _Version        =   393217
      Style           =   7
      Appearance      =   1
   End
   Begin MSComctlLib.Toolbar Toolbar1 
      Align           =   1  'Align Top
      Height          =   630
      Left            =   0
      TabIndex        =   0
      Top             =   0
      Width           =   6435
      _ExtentX        =   11351
      _ExtentY        =   1111
      ButtonWidth     =   609
      ButtonHeight    =   953
      Appearance      =   1
      _Version        =   393216
   End
   Begin MSComctlLib.ImageList ImageList2 
      Left            =   960
      Top             =   840
      _ExtentX        =   1005
      _ExtentY        =   1005
      BackColor       =   -2147483643
      MaskColor       =   12632256
      _Version        =   393216
   End
   Begin MSComctlLib.ImageList ImageList1 
      Left            =   120
      Top             =   840
      _ExtentX        =   1005
      _ExtentY        =   1005
      BackColor       =   -2147483643
      MaskColor       =   12632256
      _Version        =   393216
   End
End
Attribute VB_Name = "frmTree"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'CSEH: ErrResumeNext
Option Explicit

'  
Private Sub Form_Load()
    '<EhHeader>
    On Error Resume Next
    '</EhHeader>
    Dim i As Long
    Call modBase.LoadBasePro
    TbCm.MoveFirst
    '     tCmd
    For i = 1 To TbCm.RecordCount
        ImageList1.ListImages.Add i, i & "K", _
                LoadPicture(App.Path & "\pic1\" & TbCm!CmdPict)
        ImageList2.ListImages.Add i, i & "K", _
                LoadPicture(App.Path & "\pic2\" & TbCm!CmdPict)
        TbCm.MoveNext
    Next
    Toolbar1.ImageList = ImageList1
    Toolbar1.HotImageList = ImageList2
    Toolbar1.Style = tbrFlat
    TbCm.MoveFirst
    '     tCmd
    For i = 1 To TbCm.RecordCount
        Toolbar1.Buttons.Add i, i & "K", , , i
        Toolbar1.Buttons.Item(i).ToolTipText = TbCm!CmdAbout
        TbCm.MoveNext
    Next
    
    Me.Top = 0
    Me.Left = 0
    Me.Height = 6570 '
    Me.Width = 6570 '
    Call modTree.LoadTree
End Sub


Private Sub Toolbar1_ButtonClick(ByVal Button As MSComctlLib.Button)
    '<EhHeader>
    On Error Resume Next
    '</EhHeader>
    Dim mKeyInd As Long
    If Button.Index = 11 Then
        Call modTree.LoadTree
        Exit Sub
    End If
    If TbTr.Index <> "KeySel" Then TbTr.Index = "KeySel"
    TbTr.Seek True, adSeekFirstEQ
    If TbTr.EOF = True Then Exit Sub
    mKeyInd = TbTr!KeyInd
    TbTr.Index = "KeyInd"
    Select Case Button.Index
    Case 1
        Call modTree.AddPrew(mKeyInd)
    Case 2
        Call modTree.AddNext(mKeyInd)
    Case 3
        Call modTree.AddFirstChild(mKeyInd)
    Case 4
        Call modTree.ReplacePrew(mKeyInd)
    Case 5
        Call modTree.ReplaceNext(mKeyInd)
    Case 6
        Call modTree.MakePar(mKeyInd)
    Case 7
        Call modTree.MakeChild(mKeyInd)
    Case 8
        Call modTree.CuteNode(mKeyInd)
        Call modTree.LoadTree
    Case 10
        End
    Case 11
        Call modTree.LoadTree
    End Select
End Sub


Private Sub TreeV_Collapse(ByVal Node As MSComctlLib.Node)
    '<EhHeader>
    On Error Resume Next
    '</EhHeader>
    Dim mKeyInd As Long
    If bLoad = True Then Exit Sub
    If TbTr.Index <> "KeyInd" Then TbTr.Index = "KeyInd"
    mKeyInd = Left$(Node.Key, Len(Node.Key) - 1)
    TbTr.Seek mKeyInd, adSeekFirstEQ
    TbTr.Update "Expand", False
End Sub

Private Sub TreeV_Expand(ByVal Node As MSComctlLib.Node)
    '<EhHeader>
    On Error Resume Next
    '</EhHeader>
    Dim mKeyInd As Long
    Dim mKeyPar As Long
    If bLoad = True Then Exit Sub
    If TbTr.Index <> "KeyInd" Then TbTr.Index = "KeyInd"
    mKeyInd = Left$(Node.Key, Len(Node.Key) - 1)
    TbTr.Seek mKeyInd, adSeekFirstEQ
    mKeyPar = TbTr!KeyPar

    TbTr.Update "Expand", True
    If mKeyPar = 1 Then
        '   
        TbTr.Seek 1, adSeekFirstEQ
        TbTr.Seek TbTr!KeyChi, adSeekFirstEQ
        Do
            If TbTr!KeyInd <> mKeyInd Then TbTr.Update "Expand", False
            If TbTr!KeyNxt = 0 Then Exit Do
            TbTr.Seek TbTr!KeyNxt, adSeekFirstEQ
        Loop
    End If
    If Right$(Node.Child.Key, 1) = "S" Then
        Call modTree.LoadTree
    End If
End Sub

' 
Private Sub TreeV_NodeClick(ByVal Node As MSComctlLib.Node)
    '<EhHeader>
    On Error Resume Next
    '</EhHeader>
    bLoad = True
    txtItem = Node.Text
    txtItem.Tag = Node.Key
    Call NodeSel(Left$(Node.Key, Len(Node.Key) - 1))
    bLoad = False
End Sub

' 
Private Sub txtItem_Change()
    '<EhHeader>
    On Error Resume Next
    '</EhHeader>
    Dim KeyInd As Long
    If bLoad = True Then Exit Sub
    If txtItem.Tag = "" Then Exit Sub
    KeyInd = Left$(txtItem.Tag, Len(txtItem.Tag) - 1)
    If TbTr.Index <> "KeyInd" Then TbTr.Index = "KeyInd"
    TbTr.Seek KeyInd, adSeekFirstEQ
    If txtItem.Text <> "" Then
        TbTr.Update "KeyTxt", txtItem.Text
    Else
        TbTr.Update "KeyTxt", "~"
    End If
    frmTree.TreeV.Nodes(txtItem.Tag).Text = txtItem.Text
End Sub
