Attribute VB_Name = "modTree"
'CSEH: ErrResumeNext
Option Explicit
    '************************************
    ' ,       *
    '************************************
    Private Enum eFlag
        BkmChi
        BkmNext
        BkmPar
        BkmEnd
    End Enum
    Private mNode As Node
    '
    Private KeyInd As Long
    Private KeyPar As Long
    Private KeyChi As Long
    Private KeyNxt As Long
    Private KeyPrw As Long
    Public bLoad As Boolean

'  
Public Sub LoadTree()
    '<EhHeader>
    On Error Resume Next
    '</EhHeader>
    bLoad = True
    TbTr.Move 1, adBookmarkFirst
    With frmTree.txtItem
    .Top = 700
    .Left = 0
    .Width = frmTree.Width - 120
    .Height = 310
    End With
    With frmTree.TreeV
    .Top = 1010
    .Left = 0
    .Width = frmTree.Width - 120
    .Height = frmTree.Height - 1600
    .Nodes.Clear
    Set mNode = .Nodes.Add(, , TbTr!KeyInd & "K", "")
    mNode.Expanded = True
    End With
    ' 
    Call LoadNode(TbTr!KeyInd)
    bLoad = False
End Sub

'     
Public Sub LoadNode(mInd1 As Long)
    '<EhHeader>
    On Error Resume Next
    '</EhHeader>
    Dim lFlag As eFlag
    bLoad = True
    TbTr.Move mInd1, adBookmarkFirst
    lFlag = BkmChi
    Do While lFlag <> BkmEnd
        Select Case lFlag
        Case BkmChi
            If TbTr!KeyChi = 0 Then '  ,  
                lFlag = BkmNext
            Else
                ' 
                Call LoadItem(TbTr!KeyChi)
                '  
                If TbTr!KeyChi <> 0 And TbTr!Expand = False Then
                    Set mNode = frmTree.TreeV.Nodes.Add(TbTr!KeyInd & "K", tvwChild, TbTr!KeyInd & "S", "")
                    Set mNode = mNode.Parent
                    mNode.Expanded = False
                    lFlag = BkmNext
                Else
                    lFlag = BkmChi
                End If
            End If
        Case BkmNext
            '  ,  
            If TbTr!KeyNxt = 0 Then 'C  ,  
                lFlag = BkmPar
            Else
                ' 
                Call LoadItem(TbTr!KeyNxt)
                '  
                If TbTr!KeyChi <> 0 And TbTr!Expand = False Then
                    Set mNode = frmTree.TreeV.Nodes.Add(TbTr!KeyInd & "K", tvwChild, TbTr!KeyInd & "S", "")
                    Set mNode = mNode.Parent
                    mNode.Expanded = False
                    lFlag = BkmNext
                Else
                    lFlag = BkmChi
                End If
            End If
        Case BkmPar
            If TbTr!KeyPar = mInd1 Then '    
                lFlag = BkmEnd
            Else
                'C  ,  
                KeyPar = TbTr!KeyPar
                TbTr.Move KeyPar, adBookmarkFirst
                lFlag = BkmNext '   
            End If
        End Select
    Loop
    bLoad = False
End Sub

'  
Private Sub LoadItem(KeyInd As Long)
    '<EhHeader>
    On Error Resume Next
    '</EhHeader>
    Dim NodeTxt As String
    NodeTxt = ""
    NodeTxt = TbTr.Index
    TbTr.Move KeyInd, adBookmarkFirst
    If IsNull(TbTr!KeyTxt) = False Then NodeTxt = TbTr!KeyTxt
    '  
    Set mNode = frmTree.TreeV.Nodes.Add(TbTr!KeyPar & "K", tvwChild, TbTr!KeyInd & "K", NodeTxt)
    '  
    If TbTr!Expand = True Then
        mNode.Expanded = True
    Else
        mNode.Expanded = False
    End If
    '  
    If TbTr!KeySel = True Then
        mNode.Selected = True
        mNode.ForeColor = &HFF&
    End If
End Sub


'  
Public Sub NodeSel(KeyInd As Long)
    '<EhHeader>
    On Error Resume Next
    '</EhHeader>
    With frmTree.TreeV
    '  
    '    
    If TbTr.Index <> "KeySel" Then TbTr.Index = "KeySel"
    TbTr.Seek True, adSeekFirstEQ
    '   
    If TbTr.EOF = False Then
        '    
        TbTr!KeySel = False
        TbTr.Update
        On Error Resume Next
        .Nodes(TbTr!KeyInd & "K").ForeColor = &H0&
    End If
    '  
    TbTr.Requery
        TbTr.Index = "KeyInd"
    TbTr.Seek KeyInd, adSeekFirstEQ
    TbTr!KeySel = True
    TbTr.Update
    On Error Resume Next
    Set mNode = .Nodes(TbTr!KeyInd & "K")
    mNode.ForeColor = &HFF&
    bLoad = True
    mNode.Selected = True
    bLoad = False
    End With
End Sub

'  " "
Public Sub CuteNode(mInd As Long)
    '<EhHeader>
    On Error Resume Next
    '</EhHeader>
    Dim mPar As Long
    Dim mPrw As Long
    Dim mNxt As Long
    
    TbTr.Move mInd, adBookmarkFirst
    '    
    mPar = TbTr!KeyPar
    mPrw = TbTr!KeyPrw
    mNxt = TbTr!KeyNxt
    '    
    TbTr.Update Array("KeyPar", "KeyPrw", "KeyNxt", "KeySel"), Array(0, 0, 0, False)
    ' ,   
    If mPar = 0 Then
        ' 
    ElseIf mPrw = 0 Then
        '  
        TbTr.Move mPar, adBookmarkFirst
        TbTr.Update "KeyChi", mNxt
    Else
        '  
        TbTr.Move mPrw, adBookmarkFirst
        TbTr.Update "KeyNxt", mNxt
    End If
    ' ,   
    If mNxt <> 0 Then
        TbTr.Move mNxt, adBookmarkFirst
        TbTr.Update "KeyPrw", mPrw
    End If
End Sub

'  " " mInd 
'  mInd1
Public Sub PasteNodePrew(mInd As Long, mInd1 As Long)
    '<EhHeader>
    On Error Resume Next
    '</EhHeader>
    Dim mPar As Long
    Dim mPrw As Long
    '   
    TbTr.Move mInd1, adBookmarkFirst
    mPar = TbTr!KeyPar
    mPrw = TbTr!KeyPrw
    TbTr.Update "KeyPrw", mInd
    ' ,  
    If mPar = 0 Then
        ' 
    ElseIf mPrw = 0 Then
        '  
        TbTr.Move mPar, adBookmarkFirst
        TbTr.Update "KeyChi", mInd
    Else
        '  
        TbTr.Move mPrw, adBookmarkFirst
        TbTr.Update "KeyNxt", mInd
    End If
    '  
    TbTr.Move mInd, adBookmarkFirst
    TbTr.Update "KeyPar", mPar
    TbTr.Update "KeyPrw", mPrw
    TbTr.Update "KeyNxt", mInd1
End Sub

'  " " mInd
'   mInd1
Public Sub PasteNodeNext(mInd As Long, mInd1 As Long)
    '<EhHeader>
    On Error Resume Next
    '</EhHeader>
    Dim mPar As Long
    Dim mNxt As Long
    ' ,  
    TbTr.Move mInd1, adBookmarkFirst
    mNxt = TbTr!KeyNxt
    mPar = TbTr!KeyPar
    TbTr.Update "KeyNxt", mInd
    '   
    If mNxt <> 0 Then
        TbTr.Move mNxt, adBookmarkFirst
        TbTr.Update "KeyPrw", mInd
    End If
    '  
    TbTr.Move mInd, adBookmarkFirst
    TbTr.Update "KeyPar", mPar
    TbTr.Update "KeyPrw", mInd1
    TbTr.Update "KeyNxt", mNxt
End Sub

'  " " mInd 
'  mInd1
Public Sub PasteNodeChild(mInd As Long, mInd1 As Long)
    ' 
    '<EhHeader>
    On Error Resume Next
    '</EhHeader>
    TbTr.Move mInd1, adBookmarkFirst
    TbTr.Update "KeyChi", mInd
    '  
    TbTr.Move mInd, adBookmarkFirst
    TbTr.Update "KeyPar", mInd1
End Sub

'    
Public Function NewNode() As Long
    '<EhHeader>
    On Error Resume Next
    '</EhHeader>
    Dim Bkm As Variant
    '  
    Bkm = TbTr!KeyInd
    If TbTr.Index <> "ParNxt" Then TbTr.Index = "ParNxt"
    
    TbTr.Seek Array(Null, Null), adSeekFirstEQ
    If TbTr.EOF = False Then
        '  
        NewNode = TbTr!KeyInd
        TbTr.Update Array("KeyPar", "KeyPrw", "KeyNxt", "KeyRef", "KeyChi", "RefCut"), Array(0, 0, 0, 0, 0, False)
        TbTr.Index = "KeyInd" '  
    Else
        '   
        ' 
        TbTr.Requery
        TbTr.Index = "KeyInd" '  
        TbTr.MoveLast
        NewNode = TbTr!KeyInd + 1
        TbTr.AddNew "KeyInd", NewNode
        TbTr.Update
    End If
    
    '  
    TbTr.Move Bkm, adBookmarkFirst
End Function

' 
Public Sub AddPrew(mInd1 As Long)
    '<EhHeader>
    On Error Resume Next
    '</EhHeader>
    Dim rInd As Long
    rInd = modTree.NewNode
    Call modTree.PasteNodePrew(rInd, mInd1)
    ' 
    Call modTree.LoadTree
    '  
    Call modTree.NodeSel(rInd)
End Sub

' 
Public Sub AddNext(mInd1 As Long)
    '<EhHeader>
    On Error Resume Next
    '</EhHeader>
    Dim rInd As Long
    rInd = modTree.NewNode
    Call modTree.PasteNodeNext(rInd, mInd1)
    ' 
    Call modTree.LoadTree
    '  
    Call modTree.NodeSel(rInd)
End Sub

'   
Public Sub AddFirstChild(mInd1 As Long)
    '<EhHeader>
    On Error Resume Next
    '</EhHeader>
    Dim rInd As Long
    rInd = modTree.NewNode
    ' 
    TbTr.Move mInd1, adBookmarkFirst
    TbTr.Update "Expand", True
    If TbTr!KeyChi = 0 Then
        '  -  
        Call modTree.PasteNodeChild(rInd, mInd1)
    Else
        '  -      
        Call modTree.PasteNodePrew(rInd, TbTr!KeyChi)
    End If
    ' 
    Call modTree.LoadTree
    '  
    Call modTree.NodeSel(rInd)
End Sub

'   
Public Function AddLastChild(mInd1 As Long) As Long
    '<EhHeader>
    On Error Resume Next
    '</EhHeader>
    Dim rInd As Long
    Dim mInd As Long
    rInd = modTree.NewNode
    ' 
    TbTr.Move mInd1, adBookmarkFirst
    If TbTr!KeyChi = 0 Then
        '  -  
        Call modTree.PasteNodeChild(rInd, mInd1)
    Else
        '  
        If TbTr.Index <> "ParNxt" Then TbTr.Index = "ParNxt"
        TbTr.Seek Array(mInd1, 0), adSeekFirstEQ
        mInd = TbTr!KeyInd
        TbTr.Index = "KeyInd" '  
        '    
        Call modTree.PasteNodeNext(rInd, mInd)
    End If
    AddLastChild = rInd
End Function

'  
Public Sub ReplacePrew(mInd1 As Long)
    '<EhHeader>
    On Error Resume Next
    '</EhHeader>
    Dim rInd As Long
    TbTr.Move mInd1, adBookmarkFirst
    '    -   
    If TbTr!KeyPrw = 0 Then Exit Sub
    rInd = TbTr!KeyPrw
    Call modTree.CuteNode(mInd1)
    Call modTree.PasteNodePrew(mInd1, rInd)
    ' 
    Call modTree.LoadTree
    '  
    Call modTree.NodeSel(mInd1)
End Sub

'  
Public Sub ReplaceNext(mInd1 As Long)
    '<EhHeader>
    On Error Resume Next
    '</EhHeader>
    Dim rInd As Long
    TbTr.Move mInd1, adBookmarkFirst
    '    -   
    If TbTr!KeyNxt = 0 Then Exit Sub
    rInd = TbTr!KeyNxt
    Call modTree.CuteNode(mInd1)
    Call modTree.PasteNodeNext(mInd1, rInd)
    ' 
    Call modTree.LoadTree
    '  
    Call modTree.NodeSel(mInd1)
End Sub

' 
Public Sub MakePar(mInd1 As Long)
    '<EhHeader>
    On Error Resume Next
    '</EhHeader>
    Dim rInd As Long
    TbTr.Move mInd1, adBookmarkFirst
    '   
    If TbTr!KeyPar = 1 Then Exit Sub
    rInd = TbTr!KeyPar
    Call modTree.CuteNode(mInd1)
    Call modTree.PasteNodeNext(mInd1, rInd)
    ' 
    Call modTree.LoadTree
    '  
    Call modTree.NodeSel(mInd1)
End Sub

' 
Public Sub MakeChild(mInd1 As Long)
    '<EhHeader>
    On Error Resume Next
    '</EhHeader>
    Dim rInd As Long
    Dim mKeyPrw As Long
    ' 
    TbTr.Move mInd1, adBookmarkFirst
    mKeyPrw = TbTr!KeyPrw
    
    '   
    If mKeyPrw = 0 Then Exit Sub
    Call modTree.CuteNode(mInd1)
    TbTr.Move mKeyPrw, adBookmarkFirst
    If TbTr!KeyChi <> 0 Then '     
        '  
        If TbTr.Index <> "ParNxt" Then TbTr.Index = "ParNxt"
        TbTr.Seek Array(mKeyPrw, 0), adSeekFirstEQ
        rInd = TbTr!KeyInd
        TbTr.Index = "KeyInd" '  
        '    
        Call modTree.PasteNodeNext(mInd1, rInd)
    Else '     
        Call modTree.PasteNodeChild(mInd1, mKeyPrw)
    End If
    ' 
    Call modTree.LoadTree
    '  
    Call modTree.NodeSel(mInd1)
End Sub

' 
Public Sub DeleteNode(TreeInd As Integer, mInd As Long)
    '<EhHeader>
    On Error Resume Next
    '</EhHeader>
    Dim rInd As Long
    Dim mInd1 As Long
    TbTr.Move mInd, adBookmarkFirst
    If TbTr!KeyChi <> 0 Then
        '   -       
        '   
        rInd = TbTr!KeyPar
        If rInd = 1 Then Exit Sub
        TbTr.Move TbTr!KeyChi, adBookmarkFirst
        mInd1 = TbTr!KeyInd
        Do
            '   
            Call modTree.CuteNode(mInd1)
            Call modTree.PasteNodeNext(mInd1, rInd)
            If TbTr!KeyNxt = 0 Then Exit Sub
            TbTr.Move TbTr!KeyNxt, adBookmarkFirst
            mInd1 = TbTr!KeyInd
        Loop
    End If
    ' 
    Call modTree.CuteNode(mInd)
    '    
    TbTr.Move mInd, adBookmarkFirst
    TbTr.Update Array("KeyPar", "KeyPrw", "KeyNxt", "KeyRef", "KeyChi", "KeyTxt"), Array(Null, Null, Null, Null, Null, Null)
    ' 
    Call modTree.LoadTree
    
End Sub
